import nidaqmx
from time import sleep

try:
    nidaqmx.Task()
except:
    raise RuntimeError("Failed communicating with the DAC, aborting task")

with nidaqmx.Task() as task:
    task.ao_channels.add_ao_voltage_chan("Dev1/ao1")
    task.write(0.5, timeout=10)
    task.start()
    sleep(4)
    task.write(0., timeout=10)
    task.stop()
    task.wait_until_done()
    task.close()

